/****************************************************************************
* Title                 :   IR Beacon Click example
* Filename              :   IR Beacon Click.c
* Author                :   Uros Cvetinovic
* Origin Date           :   06/07/2016
* Notes                 :   Example for the IR Beacon Click board
*****************************************************************************/
/**************************CHANGE LIST **************************************
*
*    Date    Software Version    Initials       Description
*  06/07/16       1.0.0            UC        This is a demonstration of using the IR Beacon click.
                                             The click board sends IR signals depending on the PWM frequency.
*
*****************************************************************************/
unsigned int pwm_period1;

sbit IR_control at LATB8_bit;
sbit IR_control_direction at TRISB8_bit;

void main() {
	pwm_period1 = PWM_Init(38000, 1, 1, 2);
	PWM_Set_Duty(pwm_period1 / 2, 1);
	PWM_Start(1);
	IR_control_direction = 0;

/* Sending IR signals */
	while (1) {
		IR_control = 1;
		delay_ms(15);
		IR_control = 0;
		delay_ms(5);
	}
}